
lib_LTLIBRARIES = libppStats.la
libppStats_la_CPPFLAGS = $(PSMODULE_CFLAGS) $(PSLIB_CFLAGS)

bin_PROGRAMS = ppStats

ppStats_CFLAGS 	= $(PSMODULE_CFLAGS) $(PSLIB_CFLAGS)
ppStats_LDFLAGS = $(PSMODULE_LIBS) $(PSLIB_LIBS)
ppStats_LDADD 	= libppStats.la

ppStats_SOURCES =		\
	ppStats.c	        

libppStats_la_SOURCES = 		\
	ppStatsFPA.c			\
	ppStatsData.c			\
	ppStatsFringe.c			\
	ppStatsLoop.c			\
	ppStatsChip.c			\
	ppStatsCell.c			\
	ppStatsReadout.c		\
	ppStatsUtils.c  		\
	ppStatsPixels.c			\
	ppStatsMetadata.c		\
	ppStatsSetupFromRecipe.c	\
	ppStatsSetupFromArgs.c          \
	ppStatsVersion.c

include_HEADERS = 			\
	ppStats.h

noinst_HEADERS = 		\
	ppStatsInternal.h

CLEANFILES = *~

clean-local:
	-rm -f TAGS
# Tags for emacs
tags:
	etags `find . -name \*.[ch] -print`
